'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var IconDevelopment = function (_React$Component) {
  _inherits(IconDevelopment, _React$Component);

  function IconDevelopment() {
    _classCallCheck(this, IconDevelopment);

    return _possibleConstructorReturn(this, (IconDevelopment.__proto__ || Object.getPrototypeOf(IconDevelopment)).apply(this, arguments));
  }

  _createClass(IconDevelopment, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          children = _props.children,
          otherProps = _objectWithoutProperties(_props, ['size', 'children']);

      return _react2.default.createElement(
        'svg',
        Object.assign({
          viewBox: '0 0 24 24',
          preserveAspectRatio: 'xMidYMid meet',
          fill: 'currentColor',
          width: size,
          height: size
        }, otherProps),
        _react2.default.createElement('path', { d: 'M3.1 17.3c-.7 1-.8 2.1 0 3l.8.8c.4.4 1 .6 1.5.6.6.1 1.1-.1 1.5-.6l5.3-5.3L8.4 12l-5.3 5.3zm7.5-1.5l-4.4 4.4-.6-.6 4.4-4.4.6.6zm-1.5-1.5l-4.4 4.4-.6-.6 4.4-4.4.6.6zm8.3-5.4h2.2l2.2-4.5-2.2-2.2-4.5 2.2v2.2l-2.3 2.3 2.3 2.3 2.3-2.3zm4.3 10.2L10.3 7.8c.6-1.5.3-3.2-1-4.4C8 2.1 6.1 1.9 4.6 2.6l2.7 2.7-1.9 1.9-2.8-2.7c-.8 1.5-.4 3.4.8 4.7 1.2 1.2 2.9 1.5 4.4 1l11.4 11.3c.3.3.6.3.9 0l1.5-1.5c.3-.3.3-.7.1-.9z' }),
        children
      );
    }
  }]);

  return IconDevelopment;
}(_react2.default.Component);

IconDevelopment.displayName = 'IconDevelopment';
IconDevelopment.propTypes = {
  size: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]),
  children: _propTypes2.default.node
};
IconDevelopment.defaultProps = {
  size: '1em'
};
exports.default = IconDevelopment;
module.exports = exports['default'];